Place Order
curl --request POST \
--url https://staging-api.covver.io/api/ext/v1/collection/{collectionId}/orders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user": {
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
},
"orderItems": [
{
"variantId": "<string>",
"quantity": 123
}
],
"address": {
"address1": "<string>",
"city": "<string>",
"countryCode": "<string>",
"phone": "<string>",
"address2": "",
"province": "<string>",
"provinceCode": "<string>",
"customAttributes": [
{
"key": "<string>",
"value": "<string>"
}
],
"zip": "",
"country": "<string>"
},
"companyId": "<string>",
"isVip": true,
"taxNumber": "<string>",
"customAttributes": [
{
"key": "<string>",
"value": "<string>"
}
],
"note": "<string>",
"personalizations": {
"firstName": "<string>",
"lastName": "<string>",
"department": "<string>",
"location": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"birthDate": "2023-11-07T05:31:56Z"
},
"externalId": "<string>",
"shouldSendEmail": true,
"shouldValidateProvinceCode": true
}
'import requests
url = "https://staging-api.covver.io/api/ext/v1/collection/{collectionId}/orders"
payload = {
"user": {
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
},
"orderItems": [
{
"variantId": "<string>",
"quantity": 123
}
],
"address": {
"address1": "<string>",
"city": "<string>",
"countryCode": "<string>",
"phone": "<string>",
"address2": "",
"province": "<string>",
"provinceCode": "<string>",
"customAttributes": [
{
"key": "<string>",
"value": "<string>"
}
],
"zip": "",
"country": "<string>"
},
"companyId": "<string>",
"isVip": True,
"taxNumber": "<string>",
"customAttributes": [
{
"key": "<string>",
"value": "<string>"
}
],
"note": "<string>",
"personalizations": {
"firstName": "<string>",
"lastName": "<string>",
"department": "<string>",
"location": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"birthDate": "2023-11-07T05:31:56Z"
},
"externalId": "<string>",
"shouldSendEmail": True,
"shouldValidateProvinceCode": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
user: {firstName: '<string>', lastName: '<string>', email: '<string>'},
orderItems: [{variantId: '<string>', quantity: 123}],
address: {
address1: '<string>',
city: '<string>',
countryCode: '<string>',
phone: '<string>',
address2: '',
province: '<string>',
provinceCode: '<string>',
customAttributes: [{key: '<string>', value: '<string>'}],
zip: '',
country: '<string>'
},
companyId: '<string>',
isVip: true,
taxNumber: '<string>',
customAttributes: [{key: '<string>', value: '<string>'}],
note: '<string>',
personalizations: {
firstName: '<string>',
lastName: '<string>',
department: '<string>',
location: '<string>',
startDate: '2023-11-07T05:31:56Z',
birthDate: '2023-11-07T05:31:56Z'
},
externalId: '<string>',
shouldSendEmail: true,
shouldValidateProvinceCode: true
})
};
fetch('https://staging-api.covver.io/api/ext/v1/collection/{collectionId}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"order": {
"id": "<string>",
"orderNumber": "<string>"
}
}{
"message": "<string>",
"errorCode": "<string>",
"statusCode": 123,
"error": "<unknown>"
}{
"message": "<string>",
"errorCode": "<string>",
"statusCode": 123,
"error": "<unknown>"
}Orders
Place Order
Place a new order
POST
/
api
/
ext
/
v1
/
collection
/
{collectionId}
/
orders
Place Order
Pass in the user’s details for personalized items. See personalization guide for more details
Partners must pass in the companyId field in the body
International pricing
NOTE! Some products have apriceDeltaByCountry field that will affect the price of the product when shipped internationally.
If you pass countryCode when getting the product you will get the price after applying the delta. If you don’t pass countryCode you should apply the delta yourself based on the recipient’s address
Tax number
For Brazil, Mexico, China, Italy, and South Korea you must pass in an additional taxNumber field. For Brazil the tax number field must pass regex validation as followsnew RegExp(`^\\d{3}\\.\\d{3}\\.\\d{3}-\\d{2}$`).test(taxNumber)
new RegExp(`^[A-Za-z]{4}\\d{6}[A-Za-z0-9]{3}$`).test(taxNumber)
Personalization
To order a product with personalization the personalized product must first be created via the getProduct or listProducts endpointsCustomAttributes
Custom attribute field is deprecated. Please use the taxNumber field insteadAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required for partners
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Default Response
Show child attributes
Show child attributes
⌘I

